<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="../l1page-api/l1page-api.html">

<link rel="import" href="suggestion-entry.html">

<!--
`<suggestion-list>` is not documented properly yet
-->
<dom-module id="suggestion-list">
  <template>
    <link rel="stylesheet" href="suggestion-list.css?__inline=true">
    <style include="l1page-theme"></style>

    <l1page-api url=/api/v0/suggestions data={{suggestions}} auto></l1page-api>

<!--     <section no-content hide$="[[!_isEmpty(suggestions.suggestions.length, triggerState)]]">
      <img src="/elements/l1-page/island.svg">
      <p hide$=[[!isInRun(triggerState)]]>you deserve a coffee break</p>
      <p hide$=[[isInRun(triggerState)]]>suggestions are only enabled when a run is active</p>
    </section> -->
    <section list hide$="[[_isEmpty(suggestions.suggestions.length, triggerState)]]">
      <dom-repeat items=[[suggestions.suggestions]] as=entry>
        <template>
          <suggestion-entry entry=[[entry]]></suggestion-entry>
        </template>
      </dom-repeat>
    </section>

    <slot></slot>
  </template>
</dom-module>

<script src="suggestion-list.js?__inline=true"></script>
